%global debug_package %{nil}

%global commit 5936c62511305227fbd59b2d5a43aaf89ec3a0b6
%global date 20220215
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global common_description %{expand:
This library provides a consistent C interface to a few matrix backends.

The interface itself is a little more sane than raw lapack / blas calls, and is
meant to be reasonably performant for medium to large matrices. It should also
be cross platform and work reasonably well on embedded low latency systems; as
it consistently tries to avoid heap allocations.}

Name:           cnmatrix
Version:        0.0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        A consistent C interface to a few matrix backends
# cmake/FindEigen3.cmake is BSD-2-Clause
License:        MIT and BSD-2-Clause
URL:            https://github.com/cntools/cnmatrix

Source0:        %{url}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  eigen3-devel
BuildRequires:  gcc-c++

%description    %{common_description}

%package        devel
Summary:        Development files for %{name}
Requires:       pkgconf-pkg-config

%description    devel %{common_description}

The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{commit}
sed -i -e 's/TARGETS cnmatrix DESTINATION lib/TARGETS cnmatrix DESTINATION %{_lib}/g' src/CMakeLists.txt

%build
%cmake -DENABLE_TESTS=ON
%cmake_build

%install
%cmake_install
rm -f %{buildroot}%{_libdir}/lib%{name}.a

%check
%ctest

%files devel
%license LICENSE
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
%autochangelog
